using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Domain {

	public class SysDepartments
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// 代码
		/// </summary>
		public virtual string Code
		{
			get;
			set;
		}
        /// <summary>
        /// 名称
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }
        /// <summary>
        /// 英文名称
        /// </summary>
        public virtual string EName
        {
            get;
            set;
        }
        /// <summary>
        /// 联系人
        /// </summary>
        public virtual string Contact
        {
            get;
            set;
        }
        /// <summary>
        /// 联系电话
        /// </summary>
        public virtual string Phone
        {
            get;
            set;
        }
        /// <summary>
        /// 地址
        /// </summary>
        public virtual string Address
        {
            get;
            set;
        }

		/// <summary>
		/// 排序
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
		/// <summary>
		/// 备注
		/// </summary>
		public virtual string Remark
		{
			get;
			set;
		}
        /// <summary>
        /// 父ID
        /// </summary>
        public virtual int ParentID
        {
            get;
            set;
        }
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool ActiveIndicator
		{
			get;
			set;
		}
		/// <summary>
		/// 创建人
		/// </summary>
		public virtual string CreatedBy
		{
			get;
			set;
		}
		/// <summary>
		/// 创建时间
		/// </summary>
		public virtual DateTime CreatedDate
		{
			get;
			set;
		}
		/// <summary>
		/// 修改人
		/// </summary>
		public virtual string ModifiedBy
		{
			get;
			set;
		}
		/// <summary>
		/// 修改时间
		/// </summary>
		public virtual DateTime ModifiedDate
		{
			get;
			set;
		}

	}
}